#!/usr/bin/env bash
#
# Copyright 2019 Red Hat, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

set -e

namespace=${NAMESPACE:-kube-system}

bridge_marker_image_repo=${BRIDGE_MARKER_IMAGE_REPO:-quay.io/kubevirt}
bridge_marker_image_name=${BRIDGE_MARKER_IMAGE_NAME:-bridge-marker}
bridge_marker_image_version=${BRIDGE_MARKER_IMAGE_VERSION:-latest}
bridge_marker_image_pull_policy=${BRIDGE_MARKER_IMAGE_PULL_POLICY:-IfNotPresent}

mkdir -p examples
for template in manifests/*.in; do
    name=$(basename ${template%.in})
    sed \
        -e "s#\${NAMESPACE}#${namespace}#g" \
        -e "s#\${BRIDGE_MARKER_IMAGE_REPO}#${bridge_marker_image_repo}#g" \
        -e "s#\${BRIDGE_MARKER_IMAGE_NAME}#${bridge_marker_image_name}#g" \
        -e "s#\${BRIDGE_MARKER_IMAGE_VERSION}#${bridge_marker_image_version}#g" \
        -e "s#\${BRIDGE_MARKER_IMAGE_PULL_POLICY}#${bridge_marker_image_pull_policy}#g" \
        ${template} > examples/${name}
done
